Subject: bug#7743: unrmail loses extra blank line at end of message

From: Glenn Morris <[email-masked]>
Date: Wed, 16 Nov 2011 02:52:53 -0500

Mark Lillibridge wrote:

>     As of at least Emacs 23.1 and still present in version 24, unrmail
> throws away the last blank line of a message if present.

This sounds very believable, but I am having a hard time convinving
myself.

I used the system `mail' command to send myself a few mails ending in
blank lines. I used Emacs 22.3 to convert the resulting mail spool file
to Babyl, then the current trunk's unrmail to convert that Babyl back to
mbox. The mbox I got back was identical to the original mail spool
(modulo the addition of X-RMAIL-ATTRIBUTES and X-Coding-System) headers.

So I cannot see that blank lines are going missing (unless going from
Babyl to mbox adds one, and going the other way subtracts one?).